Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class CopyOptions

    java.lang.Object
      net.sf.saxon.om.CopyOptions

    public abstract class CopyOptions

extends Object

Non-instantiable class to define options for the `NodeInfo.copy(net.sf.saxon.event.Receiver, int, int)` method

Field Summary
`static int` | `ALL_NAMESPACES`
`static int` | `FOR_UPDATE`
`static int` | `IS_XQUERY`
`static int` | `LOCAL_NAMESPACES`
`static int` | `SOME_NAMESPACES`
`static int` | `TYPE_ANNOTATIONS`

Constructor Summary
`CopyOptions()`

Method Summary
`static int` | `getStartDocumentProperties(int copyOptions)`
`static boolean` | `includes(int options, int option)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCAL_NAMESPACES

    public static final int LOCAL_NAMESPACES

See Also:
  Constant Field Values

### ALL_NAMESPACES

    public static final int ALL_NAMESPACES

See Also:
  Constant Field Values

### SOME_NAMESPACES

    public static final int SOME_NAMESPACES

See Also:
  Constant Field Values

### TYPE_ANNOTATIONS

    public static final int TYPE_ANNOTATIONS

See Also:
  Constant Field Values

### FOR_UPDATE

    public static final int FOR_UPDATE

See Also:
  Constant Field Values

### IS_XQUERY

    public static final int IS_XQUERY

See Also:
  Constant Field Values

Constructor Detail

### CopyOptions

    public CopyOptions()

Method Detail

### includes

    public static boolean includes(int options,
                                   int option)

### getStartDocumentProperties

    public static int getStartDocumentProperties(int copyOptions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.